import { ApiBase } from './ApiBase';
import { NoteApi } from '../NoteApi';
import { AdaptableNote, AdaptableNotes, NoteState } from '../../AdaptableState/NoteState';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { NoteInternalApi } from '../Internal/NoteInternalApi';
import { CellAddress } from '../../types';
export declare class NoteApiImpl extends ApiBase implements NoteApi {
    internalApi: NoteInternalApi;
    constructor(_adaptable: IAdaptable);
    addNote(noteStr: string, primaryKeyValue: any, columnId: string): void;
    editNote(note: AdaptableNote): void;
    updateNoteText(noteStr: string, note: AdaptableNote): void;
    deleteNote(note: AdaptableNote): void;
    getNoteState(): NoteState;
    getAllNotes(): AdaptableNotes;
    getNoteForCell(cellAddress: CellAddress): AdaptableNote;
    getNoteByUuid(uuid: string): AdaptableNote | undefined;
}
